package com.ruoyi.invest.mapper;

import java.util.List;
import com.ruoyi.invest.domain.TProjectDecision;

/**
 * 投决申请Mapper接口
 * 
 * @author zjc
 * @date 2024-04-02
 */
public interface TProjectDecisionMapper 
{
    /**
     * 查询投决申请
     * 
     * @param id 投决申请主键
     * @return 投决申请
     */
    public TProjectDecision selectTProjectDecisionById(String id);

    /**
     * 查询投决申请列表
     * 
     * @param tProjectDecision 投决申请
     * @return 投决申请集合
     */
    public List<TProjectDecision> selectTProjectDecisionList(TProjectDecision tProjectDecision);

    /**
     * 新增投决申请
     * 
     * @param tProjectDecision 投决申请
     * @return 结果
     */
    public int insertTProjectDecision(TProjectDecision tProjectDecision);

    /**
     * 修改投决申请
     * 
     * @param tProjectDecision 投决申请
     * @return 结果
     */
    public int updateTProjectDecision(TProjectDecision tProjectDecision);

    /**
     * 删除投决申请
     * 
     * @param id 投决申请主键
     * @return 结果
     */
    public int deleteTProjectDecisionById(String id);

    /**
     * 批量删除投决申请
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTProjectDecisionByIds(String[] ids);

    /**
     * 根据项目ID获取最新投决申请
     * @param projectPoolId
     * @return
     */
    TProjectDecision listProjectPoolIdNew(String projectPoolId);
}
